com.intellectualcrafters.plot.util

## Class Metrics.Plotter

- java.lang.Object
- - com.intellectualcrafters.plot.util.Metrics.Plotter

- Enclosing class:
    Metrics

      public abstract static class Metrics.Plotter
      extends java.lang.Object

  Interface used to collect custom data for a plugin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metrics.Plotter()` Construct a plotter with the default plot name
    `Metrics.Plotter(java.lang.String name)` Construct a plotter with a specific plot name

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.lang.String` | `getColumnName()` Get the column name for the plotted point
    `abstract int` | `getValue()` Get the current value for the plotted point.
    `int` | `hashCode()`
    `void` | `reset()` Called after the website graphs have been updated

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Metrics.Plotter

          public Metrics.Plotter()

      Construct a plotter with the default plot name

    - #### Metrics.Plotter

          public Metrics.Plotter(java.lang.String name)

      Construct a plotter with a specific plot name
      Parameters:
        `name` - the name of the plotter to use, which will show up on the website

  - ### Method Detail

    - #### getValue

          public abstract int getValue()

      Get the current value for the plotted point. Since this function defers to an external function it may or may not return immediately thus cannot be guaranteed to be thread friendly or safe. This function can be called from any thread so care should be taken when accessing resources that need to be synchronized.
      Returns:
        the current value for the point to be plotted.

    - #### getColumnName

          public java.lang.String getColumnName()

      Get the column name for the plotted point
      Returns:
        the plotted point's column name

    - #### reset

          public void reset()

      Called after the website graphs have been updated

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`